/Users/bernard/b20/bsoft/radon/pocs_tool.cpp(3)

NAME
/Users/bernard/b20/bsoft/radon/pocs_tool.cpp

SYNOPSIS

#include 'pocs_tool.h'
#include 'fft_tool.h'

  Functions
int filter_sin_mask (Bimage *p, int n_cicli, float r_max, Bimage *pmask, int piano, int tipo, int first)
int restore_with_mask (Bimage *p, Bimage *pcopia, Bimage *pmask, int linea, int tipo)
int copy_sin (Bimage *p)
Copy the second half of a sinogram from the first one.
int copy_phi (Bimage *pelab, Bimage *p, int i)
int filter_bessel (Bimage *p, int r, int first)
int filter_X_mask (Bimage *p, Bimage *pmask, int n_cicli, float r_maxx, int passata)
int support_f (Bimage *p, float rmax)

Detailed Description

Author:
    P.L. Bellon, F. Cantele and S. Lanzavecchia Dip. Chimica Strutturale e Stereochimica Inorganica Via Venezian 21, 20133 Milano, Italy

Date:
    Created: 7 04 2003

    Modified: 07 07 2005

Definition in file pocs_tool.cpp.

Function Documentation

  int copy_phi (Bimage * pelab, Bimage * p, int i)

Parameters:
    *pelab
    *p
    i

Returns:
    int 0

Definition at line 211 of file pocs_tool.cpp.

  int copy_sin (Bimage * p)

Copy the second half of a sinogram from the first one.

Parameters:
    *p sinogram

Returns:
    int 0

Definition at line 179 of file pocs_tool.cpp.

  int filter_bessel (Bimage * p, int r, int first)

Parameters:
    *p
    r
    first

Returns:
    int 0

Definition at line 236 of file pocs_tool.cpp.

  int filter_sin_mask (Bimage * p, int n_cicli, float r_max, Bimage * pmask, int piano, int tipo, int first)

Parameters:
    *p Radon transform
    n_cicli number of cicles to do
    r_max maximun ray of the object
    *pmask mask
    piano number of plane processed
    tipo can be 0 or 1
    first

Returns:
    int 0

Definition at line 33 of file pocs_tool.cpp.

  int filter_X_mask (Bimage * p, Bimage * pmask, int n_cicli, float r_maxx, int passata)

Parameters:
    *p Radon transform
    *pmask mask
    n_cicli number of cicles to do
    r_maxx maximun ray of the object
    passata can be 0 or 1

Returns:
    int 0

Definition at line 67 of file pocs_tool.cpp.

  int restore_with_mask (Bimage * p, Bimage * pcopia, Bimage * pmask, int linea, int tipo)

Parameters:
    *p Radon transform
    *pcopia temporary array
    *pmask mask
    linea
    tipo

Returns:
    int 0

Definition at line 116 of file pocs_tool.cpp.

  int support_f (Bimage * p, float rmax)

Parameters:
    *p
    rmax

Returns:
    int 0

Definition at line 290 of file pocs_tool.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.